查询WFS成本计价明细
POST
/basicOpen/multiplatform/wfs/cost/valuation/detail支持查询WFS成本计价明细,对应系统【多平台管理】>【WFS成本计价】数据。
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/basicOpen/multiplatform/wfs/cost/valuation/detail | HTTPS | POST | 1 |
请求参数
startDatestring必填endDatestring必填dateTypeintegersidListarray<any>businessTypearray<any>costSourcearray<any>costZeroTypeintegersearchFieldstringsearchValuestringsearchValueListarray<any>businessNumberstringbusinessNumberListarray<any>orderNumberstringorderNumberListarray<any>lengthintegeroffsetintegersortFieldstringsortTypestring请求cURL示例
curl --location 'https://openapi.lingxing.com/basicOpen/multiplatform/wfs/cost/valuation/detail?access_token=value×tamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
"startDate": "2026-09-01",
"endDate": "2026-09-30",
"dateType": 0,
"sidList": [123456789012345678],
"businessType": [600, 20, 30, 40, 610, 400],
"costSource": ["1"],
"costZeroType": 0,
"searchField": "gtin",
"searchValue": "12345678901234",
"length": 20,
"offset": 0,
"sortType": "desc"
}'
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataobject必填隐藏子属性
detailobject必填隐藏子属性
calculationStartTimestring必填calculationEndTimestring必填pageobject必填隐藏子属性
recordsarray<object>必填隐藏子属性
dateLocalstring必填imageUrlstring必填gtinstring必填mskustring必填titlestring必填localNamestring必填localSkustring必填sellerNamestring必填businessTypestring必填businessNamestring必填businessDescstring必填quantityinteger必填businessNumberstring必填costSourcestring必填orderBasePurchaseAmountnumber必填purchaseTotalAmountnumber必填orderBaseLogisticsAmountnumber必填logisticsTotalAmountnumber必填orderBaseOtherAmountnumber必填otherTotalAmountnumber必填orderNumberstring必填date1string必填serialNumberstring必填totalinteger必填sizeinteger必填currentinteger必填ordersarray<any>必填optimizeCountSqlboolean必填hitCountboolean必填countIdstring必填maxLimitstring必填searchCountboolean必填pagesinteger必填totalinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "a0d54debf93140f3b58d1ed81e8e3583",
"response_time": "2026-09-08 14:00:00",
"data": {
"detail": {
"calculationStartTime": "2026-09-01 00:00:00",
"calculationEndTime": "2026-09-30 23:59:59"
},
"page": {
"records": [
{
"dateLocal": "2026-09-01",
"imageUrl": "https://example.com/image.jpg",
"gtin": "12345678901234",
"msku": "WFS-001",
"title": "商品标题",
"localName": "商品品名",
"localSku": "SKU-001",
"sellerName": "My Store",
"businessType": "NEGATIVE_INVENTORY",
"businessName": "出库",
"businessDesc": "订单发货",
"quantity": 1,
"businessNumber": "FBA178L8PJ75",
"costSource": "业务单据",
"orderBasePurchaseAmount": 99.99,
"purchaseTotalAmount": 99.99,
"orderBaseLogisticsAmount": 20.00,
"logisticsTotalAmount": 20.00,
"orderBaseOtherAmount": 0.00,
"otherTotalAmount": 0.00,
"orderNumber": "200012345678901",
"date1": "2026-09-01",
"serialNumber": "2025090060002W"
}
],
"total": 25,
"size": 20,
"current": 1,
"orders": [],
"optimizeCountSql": true,
"hitCount": false,
"countId": null,
"maxLimit": null,
"searchCount": true,
"pages": 2
}
},
"total": 25
}